import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 26 24" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-217.000000, -545.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u767E\u5143\u6350\u6B3E"
          transform="translate(195.000000, 523.000000)"
        >
          <G
            id="fontawesome-webfont-f-004"
            transform="translate(22.000000, 22.000000)"
          >
            <Path
              d="M13,24 C12.7485119,24 12.5357143,23.90625 12.3616071,23.71875 L3.30803571,14.3125 C3.21130952,14.2291667 3.07831102,14.09375 2.90904018,13.90625 C2.73976934,13.71875 2.47135416,13.3776042 2.10379464,12.8828125 C1.73623512,12.3880208 1.40736607,11.8802083 1.1171875,11.359375 C0.827008929,10.8385417 0.568266374,10.2083333 0.340959821,9.46875 C0.113653269,8.72916667 0,8.01041667 0,7.3125 C0,5.02083333 0.614211305,3.22916667 1.84263393,1.9375 C3.07105655,0.645833328 4.7686012,0 6.93526786,0 C7.53497023,0 8.14676339,0.111979172 8.77064732,0.3359375 C9.39453125,0.559895828 9.97488839,0.861979172 10.5117187,1.2421875 C11.0485491,1.62239583 11.5104167,1.97916667 11.8973214,2.3125 C12.2842262,2.64583333 12.6517857,3 13,3.375 C13.3482143,3 13.7157738,2.64583333 14.1026786,2.3125 C14.4895833,1.97916667 14.9514509,1.62239583 15.4882812,1.2421875 C16.0251116,0.861979172 16.6054687,0.559895828 17.2293527,0.3359375 C17.8532366,0.111979172 18.4650298,0 19.0647321,0 C21.2313988,0 22.9289434,0.645833328 24.1573661,1.9375 C25.3857887,3.22916667 26,5.02083333 26,7.3125 C26,9.61458333 24.8924851,11.9583333 22.6774554,14.34375 L13.6383929,23.71875 C13.4642857,23.90625 13.2514881,24 13,24"
              id="Path"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
